<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddDefaultDeviceProfileReq StructType
 * @subpackage Structs
 */
class AddDefaultDeviceProfileReq extends APIRequest
{
    /**
     * The defaultDeviceProfile
     * @var XDefaultDeviceProfile
     */
    public $defaultDeviceProfile;
    /**
     * Constructor method for AddDefaultDeviceProfileReq
     * @uses AddDefaultDeviceProfileReq::setDefaultDeviceProfile()
     * @param XDefaultDeviceProfile $defaultDeviceProfile
     */
    public function __construct(XDefaultDeviceProfile $defaultDeviceProfile = null)
    {
        $this
            ->setDefaultDeviceProfile($defaultDeviceProfile);
    }
    /**
     * Get defaultDeviceProfile value
     * @return XDefaultDeviceProfile|null
     */
    public function getDefaultDeviceProfile()
    {
        return $this->defaultDeviceProfile;
    }
    /**
     * Set defaultDeviceProfile value
     * @param XDefaultDeviceProfile $defaultDeviceProfile
     * @return AddDefaultDeviceProfileReq
     */
    public function setDefaultDeviceProfile(XDefaultDeviceProfile $defaultDeviceProfile = null)
    {
        $this->defaultDeviceProfile = $defaultDeviceProfile;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddDefaultDeviceProfileReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
